Package com.isomorphic.webdriver

# Class SmartClientIEDriver

java.lang.Object
com.isomorphic.webdriver.SmartClientWebDriver
com.isomorphic.webdriver.SmartClientIEDriver

All Implemented Interfaces:
  `org.openqa.selenium.interactions.HasInputDevices`, `org.openqa.selenium.interactions.Interactive`, `org.openqa.selenium.JavascriptExecutor`, `org.openqa.selenium.SearchContext`, `org.openqa.selenium.TakesScreenshot`, `org.openqa.selenium.WebDriver`

public class SmartClientIEDriver extends SmartClientWebDriver
Implementation of SmartClient specific WebDriver using IE.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartClientIEDriver()`
  Default constructor.
  `SmartClientIEDriver(int port)`
  Deprecated.
  use `SmartClientIEDriver(InternetExplorerOptions)` instead
  `SmartClientIEDriver(org.openqa.selenium.Capabilities capabilities)`
  Deprecated.
  use `SmartClientIEDriver(InternetExplorerOptions)` instead
  `SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerDriverService service)`
  Creates a new SmartClientIEDriver instance.
  `SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerDriverService service, org.openqa.selenium.Capabilities capabilities)`
  Deprecated.
  use `SmartClientIEDriver(InternetExplorerDriverService,InternetExplorerOptions)` instead
  `SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerDriverService service, org.openqa.selenium.Capabilities capabilities, int port)`
  Deprecated.
  use `SmartClientIEDriver(InternetExplorerDriverService,InternetExplorerOptions)` instead
  `SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerDriverService service, org.openqa.selenium.ie.InternetExplorerOptions options)`
  Constructor taking a set of configuration options.
  `SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerOptions options)`
  Constructor taking a set of configuration options.

- ## Method Summary

  ### Methods inherited from class com.isomorphic.webdriver.SmartClientWebDriver

  `assertEval, assertEval, assertEval, assertEval, assertEval, blur, clearCanvasProperty, clearTolerances, click, clickAndHold, clickAndHoldAt, contextClick, controlKeyDown, controlKeyUp, doubleClick, dragAndDrop, dragAndDrop, dragAndDropBy, focus, focus, focus, get, get, getElementHeight, getElementPositionLeft, getElementPositionTop, getElementWidth, getEval, getEval, getTable, getText, getValue, getValueAsString, getValueAsString, keyDown, keyDown, keyPress, keyPress, keyUp, keyUp, mouseMove, mouseMoveAt, pause, release, releaseAt, scrollIntoViewIfNeeded, scrollIntoViewIfNeeded, secondClick, selectWindowByName, selectWindowByTitle, sendData, sendKeys, setAllowCoordClickOnOccludingElement, setAllowJavaScriptToStringMatch, setBaseUrl, setCanvasHeightTolerance, setCanvasProperty, setCanvasPropertyFalse, setCanvasPropertyTrue, setCanvasWidthTolerance, setClientLogLevel, setClientLogLevel, setDefaultImplicitWait, setDefaultWaitTimeout, setElementTolerance, setMaxDragPause, setOccludedElementApproach, setServerLogLevel, setUseFrameworkValueAsFallback, setValueTolerance, shiftKeyDown, shiftKeyUp, showConsole, type, type, type, verifyCanvasHeight, verifyCanvasWidth, verifyElementClickable, verifyElementHeight, verifyElementHeightWithTolerance, verifyElementPositionLeft, verifyElementPositionTop, verifyElementPresent, verifyElementReadyForKeyPresses, verifyElementSelected, verifyElementVisible, verifyElementWidth, verifyElementWidthWithTolerance, verifyTable, verifyText, verifyText, verifyTextPresent, verifyTextPresent, verifyTitle, verifyValue, verifyValue, verifyValue, verifyValue, verifyValueEmpty, verifyValueWithTolerance, verifyValueWithTolerance, verifyValueWithTolerance, waitForCanvasDone, waitForCanvasDone, waitForCondition, waitForCondition, waitForCondition, waitForElementClickable, waitForElementClickable, waitForElementInViewport, waitForElementInViewport, waitForElementNotClickable, waitForElementNotClickable, waitForElementNotPresent, waitForElementNotPresent, waitForElementNotVisible, waitForElementNotVisible, waitForElementPresent, waitForElementPresent, waitForElementReadyForKeyPresses, waitForElementReadyForKeyPresses, waitForElementVisible, waitForElementVisible, waitForEval, waitForEval, waitForFormDone, waitForFormDone, waitForFrameToLoad, waitForGridDone, waitForGridDone, waitForGridDone, waitForGridDone, waitForHoverTextPresent, waitForHoverTextPresent, waitForItemDone, waitForItemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForText, waitForText, waitForTileGridDone, waitForTileGridDone, waitForTileLayoutDone, waitForTileLayoutDone, waitForValue, waitForValue`

- ## Constructor Details

  - ### SmartClientIEDriver

    public SmartClientIEDriver()
    Default constructor.

  - ### SmartClientIEDriver

    @Deprecated public SmartClientIEDriver(int port)
    Deprecated.
    use `SmartClientIEDriver(InternetExplorerOptions)` instead
    Constructor taking a port.
    Parameters:
      `port` -

  - ### SmartClientIEDriver

    public SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerOptions options)
    Constructor taking a set of configuration options.
    Parameters:
      `options` - custom options

  - ### SmartClientIEDriver

    public SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerDriverService service)
    Creates a new SmartClientIEDriver instance. The `service` will be started along with the driver, and shutdown upon calling `SmartClientWebDriver.quit()`.
    Parameters:
      `service` - The service to use.

  - ### SmartClientIEDriver

    public SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerDriverService service, org.openqa.selenium.ie.InternetExplorerOptions options)
    Constructor taking a set of configuration options. The `service` will be started along with the driver, and shutdown upon calling `SmartClientWebDriver.quit()`.
    Parameters:
      `service` - The service to use.
      `options` - custom options

  - ### SmartClientIEDriver

    @Deprecated public SmartClientIEDriver(org.openqa.selenium.Capabilities capabilities)
    Deprecated.
    use `SmartClientIEDriver(InternetExplorerOptions)` instead
    Constructor taking a specified set of driver capabilities.
    Parameters:
      `capabilities` - desired driver capabilities

  - ### SmartClientIEDriver

    @Deprecated public SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerDriverService service, org.openqa.selenium.Capabilities capabilities)
    Deprecated.
    use `SmartClientIEDriver(InternetExplorerDriverService,InternetExplorerOptions)` instead
    See `SmartClientIEDriver(InternetExplorerDriverService,Capabilities,int)`
    Parameters:
      `service` - The service to use.
      `capabilities` - desired driver capabilities

  - ### SmartClientIEDriver

    @Deprecated public SmartClientIEDriver(org.openqa.selenium.ie.InternetExplorerDriverService service, org.openqa.selenium.Capabilities capabilities, int port)
    Deprecated.
    use `SmartClientIEDriver(InternetExplorerDriverService,InternetExplorerOptions)` instead
    Constructor taking a specified set of driver capabilities. The `service` will be started along with the driver, and shutdown upon calling `SmartClientWebDriver.quit()`.
    Parameters:
      `service` - The service to use.
      `capabilities` - desired driver capabilities
      `port` -